org.apache.lucene.index

## Class BinaryDocValues

- java.lang.Object
- - org.apache.lucene.index.BinaryDocValues

Direct Known Subclasses:
  SortedDocValues

    public abstract class BinaryDocValues
    extends Object

A per-document byte[]

### Field Summary

Fields
`static BinaryDocValues` `EMPTY` An empty BinaryDocValues which returns `MISSING` for every document
`static byte[]` `MISSING` Indicates the value was missing for the document.

### Constructor Summary

Constructors
`protected` `BinaryDocValues()` Sole constructor.

### Method Summary

Methods
`abstract void` `get(int docID, BytesRef result)` Lookup the value for document.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MISSING

    public static final byte[] MISSING

Indicates the value was missing for the document.

#### EMPTY

    public static final BinaryDocValues EMPTY

An empty BinaryDocValues which returns `MISSING` for every document

### Constructor Detail

#### BinaryDocValues

    protected BinaryDocValues()

Sole constructor. (For invocation by subclass constructors, typically implicit.)

### Method Detail

#### get

    public abstract void get(int docID,
           BytesRef result)

Lookup the value for document.